@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap');


:root {
    --bg-black-900: #f2f2fc;
    --bg-black-100: #fdf9ff;
    --bg-black-50: #e8dfec;
    --text-black-900: #302e4d;
    --text-black-700: #504e70;
    --box-shadow: 0 0 20px rgba(48, 46, 77, 0.15);
}

body.dark {
    --bg-black-900: #151515;
    --bg-black-100: #222222;
    --bg-black-50: #393939;
    --text-black-900: #ffffff;
    --text-black-700: #e9e9e9;
    --box-shadow: 0 0 20px rgba(96, 96, 96, 0.15);
    ;
}
body {
    line-height: 1.5;
    font-size: 18px;
    font-family: 'Poppins';
}

* {
    margin: 0;
    padding: 0;
    outline: none;
    text-decoration: none;
    box-sizing: border-box;
}

::before,
::after {
    box-sizing: border-box;
}

ul {
    list-style: none;
}

.section {
    margin-left: 200px;
    background: var(--bg-black-900);
    min-height: 100vh;
    display: block;
    padding: 0 40px 0 0;
    opacity: 1;
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 0;
    overflow-y: auto;
    overflow-x: hidden;
    transition: all 0.3s ease;
}

.section.back-section {
    z-index: 1;
}

.section.active {
    z-index: 2;
    opacity: 1;
    animation: slideSection ease 1s;
}

@keyframes slideSection {
    0% {
        transform: translateX(100%);
    }

    100% {
        transform: translateX(0%);
    }
}


.hidden {
    display: none ! important;
}

.padd-15 {
    padding-left: 15px;
    padding-right: 15px;
}

.container {
    max-width: 1100px;
    width: 100%;
    margin: auto;
}

.section .container {
    padding-top: 60px;
    padding-bottom: 70px;
    padding-left: 80px;
}

.section-title {
    flex: 0 0 100%;
    max-width: 100%;
    margin-bottom: 60px;
}

.section-title h2 {
    font-size: 40px;
    color: var(--text-black-900);
    font-weight: 700;
    position: relative;
}

.section-title h2::before {
    content: '';
    height: 4px;
    width: 50px;
    background-color: var(--skin-color);
    position: absolute;
    top: 100%;
    left: 0;
}

.section-title h2::after {
    content: '';
    height: 4px;
    width: 25px;
    background-color: var(--skin-color);
    position: absolute;
    top: 100%;
    left: 0;
    margin-top: 8px;
}

.row {
    display: flex;
    flex-wrap: wrap;
    margin-left: -15px;
    margin-right: -15px;
    position: relative;
    justify-content: center;
    cursor: pointer;
}

.btn {
    font-size: 16px;
    font-weight: 500;
    padding: 12px 35px;
    color: white;
    border-radius: 40px;
    display: inline-block;
    white-space: nowrap;
    border: none;
    background: var(--skin-color);
    transition: all 0.3s ease;
}

.btn:hover {
    transform: scale(1.05);
}

.shadow-dark {
    box-shadow: var(--box-shadow);
}

/* Aside */
.aside {
    width: 270px;
    background: var(--bg-black-100);
    position: fixed;
    left: 0;
    top: 0;
    padding: 30px;
    height: 100%;
    border-right: 1px solid var(--bg-black-50);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10;
    transition: all 0.3s ease;
}

.aside .logo {
    position: absolute;
    top: 50px;
    font-size: 30px;
    text-transform: capitalize;
}

.aside .logo a {
    color: var(--text-black-900);
    font-weight: 700;
    padding: 15px 20px;
    font-size: 30px;
    letter-spacing: 5px;
    position: relative;
}

.aside .logo a span {
    font-family: 'Poppins';

    font-size: 40px;
}

.aside .logo a::after {
    content: '';
    position: absolute;
    width: 20px;
    height: 20px;
    border-bottom: 5px solid var(--skin-color);
    border-left: 5px solid var(--skin-color);
    bottom: 0;
    left: 0;
}

.aside .logo a::before {
    content: '';
    position: absolute;
    width: 20px;
    height: 20px;
    border-top: 5px solid var(--skin-color);
    border-right: 5px solid var(--skin-color);
    top: 0;
    right: 0;
}

.aside .nav-toggler {
    height: 40px;
    width: 45px;
    border: 1px solid var(--bg-black-50);
    cursor: pointer;
    position: fixed;
    left: 300px;
    top: 20px;
    border-radius: 5px;
    background: var(--bg-black-100);
    display: none;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
}

.aside .nav-toggler span {
    height: 2px;
    width: 18px;
    background: var(--skin-color);
    display: inline-block;
    position: relative;
}

.aside .nav-toggler.open span{
    background-color: transparent;
}

.aside .nav-toggler span::before {
    content: '';
    height: 2px;
    width: 18px;
    background: var(--skin-color);
    position: absolute;
    top: -6px;
    left: o;
}

.aside .nav-toggler.open span::before{
    transform: rotate(45deg);
    top: 0;
}

.aside .nav-toggler span::after {
    content: '';
    height: 2px;
    width: 18px;
    background: var(--skin-color);
    position: absolute;
    bottom: -6px;
    right: o;
}

.aside .nav-toggler.open span::after{
    transform: rotate(-45deg);
    top: 0;
}

.aside .nav {
    margin-top: 50px;
}

.aside .nav li {
    margin-bottom: 20px;
    display: block;
}

.aside .nav li a {
    font-size: 25px;
    font-weight: 600;
    display: block;
    border-bottom: 1px solid var(--bg-black-50);
    color: var(--text-black-900);
    padding: 5px 15px;
}

.aside .nav li a.active {
    color: var(--skin-color);
}

.aside .nav li a i {
    margin-right: 15px;
}

/* home */
.home {
    min-height: 100vh;
    display: flex;
    color: var(--text-black-900);
}

.home .home-info {
    flex: 0 0 60%;
    max-width: 60%;
}

h3.hello {
    font-size: 28px;
    margin: 15px 0;
}

h3.hello span {
    font-family: "Dancing Script", cursive;
    font-size: 60px;
    font-weight: 700px;
    color: var(--skin-color);
}

h3.my-profession {
    font-size: 30px;
    margin: 15px 0;
}

.typing {
    color: var(--skin-color);
}

.home-info p {
    margin-bottom: 70px;
    font-size: 20px;
    color: var(--text-black-700);
}

.home .home-img {
    flex: 0 0 40px;
    max-width: 40%;
    text-align: center;
    position: relative;
}

.home .home-img img {
    margin: auto;
    border-radius: 5px;
    height: 400px;
  
}

.home .home-img::after {
    content: '';
    position: absolute;
    height: 80px;
    width: 80px;
    border-bottom: 10px solid var(--skin-color);
    border-right: 10px solid var(--skin-color);
    border-radius: 20%;
    right: -10px;
    bottom: -15px;

}

.home .home-img::before {
    content: '';
    position: absolute;
    height: 80px;
    width: 80px;
    border-top: 10px solid var(--skin-color);
    border-left: 10px solid var(--skin-color);
    border-radius: 20%;
    left: -10px;
    top: -20px;

}

/* About */
.about .about-content {
    flex: 0 0 100%;
    max-width: 100%;
}

.about .about-content .about-text {
    flex: 0 0 100%;
    max-width: 100%;

}

.about .about-content .about-text h3 {
    font-size: 24px;
    margin-bottom: 15px;
    font-weight: 700;
    color: var(--text-black-900);
}

.about .about-content .about-text h3 span {
    color: var(--skin-color);
}

.about .about-content .about-text p {
    font-size: 20px;
    line-height: 25px;
   word-spacing: 4px;
    color: var(--text-black-700);
}

.about .about-content .personal-info {
    flex: 0 0 60%;
    max-width: 60%;
    margin-top: 40px;

}

.about .about-content .personal-info .info-item {
    flex: 0 0 50%;
    max-width: 50%;
}

.about .about-content .personal-info .info-item p {
    font-weight: 600;
    padding: 10px 0;
    font-size: 16.5px;
    color: var(--text-black-900);
    border-bottom: 1px solid var(--bg-black-50);
}

.about .about-content .personal-info .info-item p span {
    font-weight: 400;
    color: var(--text-black-700);
    margin-left: 4px;
    display: inline-block;
}
.about .about-content .personal-info .info-item p span a{
    font-weight: 400;
    color: var(--text-black-700);
    margin-left: 4px;
    display: inline-block;
}

.about .about-content .personal-info .buttons {
    margin-top: 30px;
}

.about .about-content .personal-info .buttons .btn {
    margin-right: 15px;
    margin-top: 10px;
}

.about .about-content .skills {
    flex: 0 0 40%;
    max-width: 40%;
    margin-top: 40px;
}

.about .about-content .skills .skill-item {
    flex: 0 0 100%;
    max-width: 100%;
}

.about .about-content .skills .skill-item h5 {
    line-height: 40px;
    font-weight: 600;
    font-size: 16px;
    color: var(--text-black-900);
    text-transform: capitalize;
}

.about .about-content .skills .skill-item .progress {
    background-color: var(--bg-black-50);
    height: 7px;
    border-radius: 4px;
    width: 100%;
    position: relative;
}

.about .about-content .skills .skill-item {
    margin-bottom: 25px;
}

.about .about-content .skills .skill-item .progress .progress-in {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    border-radius: 4px;
    background-color: var(--skin-color);
}

.about .about-content .skills .skill-item .skill-percent {
    position: absolute;
    right: 0;
    color: var(--text-black-900);
    top: -40px;
    font-weight: 400;
    line-height: 40px;
}

.about .about-content .education,
.about .about-content .experience,
.about .about-content .certifications{
    flex: 0 0 50%;
    max-width: 50%;
    margin-top: 30px;
}

.about .about-content h3.title {
    font-size: 24px;
    margin-bottom: 30px;
    font-weight: 700;
    color: var(--text-black-900);
}

.about .about-content .timeline-box {
    flex: 0 0 100%;
    max-width: 95%;
}

.about .about-content .timeline {
    background-color: var(--bg-black-100);
    padding: 30px 15px;
    border: 1px solid var(--bg-black-50);
    border-radius: 10px;
    width: 100%;
    position: relative;
}

.about .about-content .timeline .timeline-item {
    position: relative;
    padding-left: 37px;
    padding-bottom: 50px;
}

.about .about-content .timeline .timeline-item:last-child {
    padding-bottom: 0;
}

.about .about-content .timeline .timeline-item::before {
    content: '';
    width: 1px;
    position: absolute;
    height: 100%;
    left: 7px;
    top: 0;
    background-color: var(--skin-color);
}


.about .about-content .timeline .timeline-item .circle-dot {
    position: absolute;
    left: 0;
    top: 0;
    height: 15px;
    width: 15px;
    border-radius: 50%;
    background-color: var(--skin-color);
}


.about .about-content .timeline .timeline-item .timeline-date {
    font-weight: 400;
    font-size: 14px;
    margin-bottom: 12px;
    color: var(--text-black-700);
}

.about .about-content .timeline .timeline-item .timeline-date .fa {
    margin-right: 5px;
}

.about .about-content .timeline .timeline-item .timeline-title {
    font-weight: 700;
    font-size: 18px;
    margin-bottom: 15px;
    text-transform: capitalize;
    color: var(--text-black-900);
}

.about .about-content .timeline .timeline-item .timeline-text {
    line-height: 25px;
    font-size: 16px;
    text-align: justify;
    color: var(--text-black-700);
}

.skills {
    min-height: 90vh;
    
  }
  
  .skills .container {
    color:var(--skin-color);
    border-radius: 1rem;
    padding: 2rem;
    margin: auto;
    width:90%;
    margin-top:2rem;
  }
  .skills .container .row {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 1rem;
    flex-wrap: wrap;
    
  }
  .skills .container .bar {
    margin-bottom: 5px;
    padding: 3px;
    border-radius: 1rem;
    border: 1px solid rgb(101, 100, 100);
    /* box-shadow */
  }
  .skills .container .bar:hover {
    box-shadow: 0 8px 10px var(--skin-color) !important;
    background-color: rgba(0, 0, 0, 0.9) !important;
  }
 
  .skills .container .bar .info {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    margin-top: 1rem;
  }
  .skills .container .bar .info i {
    font-size: 4rem;
  }
  .skills .container .bar .info span {
    font-size: 2rem;
    font-weight: 300;
    font-family: 'Poppins';
    margin-left: 0.5rem;
  }
 
  /* skills media queries starts*/
  @media screen and (max-width: 600px) {
    .skills .container {
      padding: 0;
      margin: 0;
      
    }
    .skills .container .row {
      grid-template-columns: repeat(1, 1fr);
      margin: 0.3rem;
      padding: 1rem 0.1rem 1rem 0.1rem;
      gap: 1rem;
      
    }
    .skills .container {
      margin-top: 3px;
      width: 100%;
     
    }
  }
 

/* Services */
 .service .container {
    padding-bottom: 40px;
  }
  
  /*
  .service .service-item {
      margin-bottom: 30px;
      flex: 0 0 33.33%;
      margin: 10px;
      max-width: 30%;
  }
  
  .service .service-item .service-item-inner {
      background-color: var(--bg-black-100);
      border: 1px solid var(--bg-black-50);
      border-radius: 10px;
      padding: 30px 15px;
      text-align: center;
      transition: all 0.3s ease;
  }
  
  .service .service-item .service-item-inner:hover {
      box-shadow: var(--box-shadow);
  }
  
  .service .service-item .service-item-inner .icon {
      height: 60px;
      width: 60px;
      border-radius: 50%;
      display: block;
      margin: 0 auto 30px;
      text-align: center;
      transition: all 0.3s ease;
  }
  
  .service .service-item .service-item-inner .icon .fa {
      font-size: 40px;
      line-height: 60px;
      color: var(--skin-color);
      transition: all 0.3s ease;
  }
  .service .service-item .service-item-inner .icon .fab {
      font-size: 40px;
      line-height: 60px;
      color: var(--skin-color);
      transition: all 0.3s ease;
  }
  
  .service .service-item .service-item-inner:hover .icon {
      background: var(--skin-color)
  }
  
  .service .service-item .service-item-inner:hover .icon .fa {
      font-size: 25px;
      color: #ffffff;
  }
  .service .service-item .service-item-inner:hover .icon .fab {
      font-size: 25px;
      color: #ffffff;
  }
  
  .service .service-item .service-item-inner h4 {
      font-size: 18px;
      margin-bottom: 15px;
      color: var(--text-black-900);
      font-weight: 700;
      text-transform: capitalize;
  }
  
  .service .service-item .service-item-inner p {
      font-size: 16px;
      color: var(--text-black-700);
      line-height: 25px;
  } */

/* Portfolio */
.portfolio .portfolio-heading {
    flex: 0 0 100%;
    max-width: 100%;
    margin-bottom: 40px;
}

.portfolio .portfolio-heading h2 {
    color: var(--skin-color);
    font-weight: 500;
}

.portfolio .portfolio-item {
    display: inline-flex;
       max-width: 100%;
 margin-bottom: 10px;
    margin-right: 10px;
    
        
   
}

.portfolio .portfolio-item-inner {
    display: flex;
    border: var(--bg-black-100);
    border-radius: 10px;
    overflow: hidden;
    cursor: pointer;
    width:30rem;
    height:18rem;
    
}

.portfolio .portfolio-item-inner .portfolio-img img {
    width: 100%;
    display:flex;
   
}
.viewprojects{
   
    color:white;
  height:5rem; 
  position: relative;
  padding: 1rem 1rem;
  border-radius: 0.5em;
  font-weight: 700;
  font-size: 1.7rem;
  background-color: var(--skin-color);
  display: flex;
  align-items: center;
  justify-content: center;
  
}
.viewprojects:hover{
cursor: pointer;
border:0.2rem solid var(--skin-color);
}
/* Contact */
.contact-title {
    color: var(--skin-color);
    text-align: center;
    font-size: 25px;
    margin-bottom: 20px;
}

.contact-sub-title {
    color: var(--text-black-900);
    text-align: center;
    font-size: 15px;
    margin-bottom: 60px;
}

.contact .contact-info-item {
    flex: 0 0 25%;
    max-width: 25%;
    text-align: center;
    margin-bottom: 60px;
    
}

.contact .contact-info-item .icon {
    display: inline-block;
    
}

.contact .contact-info-item .icon .fa {
    font-size: 25px;
    color: var(--skin-color);
}
.contact .contact-info-item .icon .fab{
    font-size: 25px;
    color: var(--skin-color);
    
}

.contact .contact-info-item h4 {
    font-size: 18px;
    font-weight: 700;
    color: var(--text-black-900);
    text-transform: capitalize;
    margin: 15px 0 15px;
   
}

.contact .contact-info-item p {
    font-size: 14px;
    line-height: 25px;
    color: var(--text-black-700);
    font-weight: 300;
    
}

.contact .contact-form {
    flex: 0 0 100%;
    max-width: 100%;
}

.contact .contact-form .col-6 {
    flex: 0 0 50%;
    max-width: 50%;
}

.contact .contact-form .col-12 {
    flex: 0 0 100%;
    max-width: 100%;
}

.contact .contact-form .form-item {
    margin-bottom: 30px;
}

.contact .contact-form .form-item .form-control {
    width: 100%;
    height: 100%;
    border-radius: 25px;
    background: var(--bg-black-100);
    border: 1px solid var(--bg-black-50);
    padding: 10px 25px;
    font-size: 16px;
    color: var(--text-black-700);
    transition: all 0.3s ease;
}

.contact .contact-form .form-item .form-control:focus {
    box-shadow: var(--box-shadow);
}

.contact .contact-form .form-item textarea.form-control {
    height: 140px;
 
}


.contact .contact-form .btn {
    height: 50px;
    padding: 0 50px;
    
}

@media (max-width:1199px) {
    .section .container{
        padding-top: 70px;
    }

    .aside {
        left: -270px;
    }

    .aside.open{
        left: 0;
    }

    .aside .nav-toggler{
        display: flex;
        left: 30px;
    }

    .aside .nav-toggler.open{
        left: 300px;
    }

    .section{
        margin-left: 0;
    }

    .section.open{
        left: 270px;
    }

    .about .about-content .personal-info .info-item p span {
        display: block;
        margin-left: 0;
    }
}

@media (max-width:1187px) {

    .contact .contact-info-item,
    .portfolio .portfolio-item,
    .service .skills,
    .home .home-info {
        flex: 0 0 100%;
        max-width: 100%;
    }

    .home .home-img {
        align-items: center;
        display: inline;
        width: 100%;
        height: 100%;
        max-width: max-content;
        border-radius: 100%;
        padding: 5px;
        padding-left: 200px;
        margin: 10px;
        background-color: var(--skin-color);
    }

    .home .home-img::before,
    .home .home-img::after {
        display: none;
    }

    .home .home-img {
        width: 100%;
        height: 100%;
        max-width: max-content;
        border-radius: 100%;
        padding: 5px;
        margin: 10px;
        background-color: var(--skin-color);
    }
}

@media (max-width:767px) {
    .service .skills,
    .contact .contact-form .col-6,
    .contact .contact-form .col-12,
    .contact .contact-info-item,
    .about .about-content .experience,
    .about .about-content .education,
    .about .about-content .skills,
    .about .about-content .personal-info,
    .about .about-content .certifications,
    .about .about-content .awards {
        flex: 0 0 100%;
        max-width: 100%;
    }

    .section-title,
    .home,
    .about,
    .service,
    .portfolio,
    .contact {
        margin-left: -20px;
        font-family: 'Poppins' ;
    }
}

@media (max-width:482px) {

    .home .home-img img {
        margin: auto;
        border-radius: 5px;
        height: 270px;
    }

    .home .home-img {
        margin-left: -5px;
        margin-top: 10px;
    }

    .about .about-content .personal-info .info-item {
        flex: 0 0 100%;
        max-width: 100%;
    }
}

/* Image display setting */
/* For desktop and laptop devices */
@media (min-width: 1187px) {
    .mobile-tablet-image {
       display: none;
      
    }
 }
 
 /* For tablet and mobile devices */
 @media (max-width: 1187px) {
    .desktop-laptop-image {
       display: none;  
    }
    .home .home-img img {
        border-radius: 100%;
    }

   
 }


.socials .social-icons .fab
 {
 font-size: 40px;
 line-height: 60px;
 color: var(--skin-color);
 transition: all 0.3s ease;

}
.socials .social-icons .fas
 {
 font-size: 40px;
 line-height: 60px;
 color: var(--skin-color);
 transition: all 0.3s ease;

}
.socials .social-icons{
    display: flex;
    gap:2rem;
}
.headingskill{
    left:6.8rem;
}
.portfolio .portfolio-item-inner .portfolio-img .tag{
    color:var(--skin-color);
    display: flex;
    justify-content: center;
    align-items: center;
  font-size: 1.6rem;
   
}
.portfolio .portfolio-item-inner .portfolio-img:hover{
  
    border:0.2rem solid var(--skin-color);
    color: rgb(151, 151, 151);
    top: 25%;

}
#name{
    font-family: 'Poppins';
}
#email{
    font-family: 'Poppins';
}
#subject{
    font-family: 'Poppins';
}
#message{
    font-family: 'Poppins';
}
.btn{
    font-family: 'Poppins'  
}

